* [ltt-dev] [UST PATCH] fix valgrind test valgrind check
@ 2011-02-21 9:19 Nils Carlson
2011-02-21 21:02 ` Yannick Brosseau
0 siblings, 1 reply; 2+ messages in thread
From: Nils Carlson @ 2011-02-21 9:19 UTC (permalink / raw)
Signed-off-by: Nils Carlson <nils.carlson at ericsson.com>
---
tests/valgrind_ust-consumerd.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index d89a1f2..1b10772 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -17,7 +17,7 @@
# You should have received a copy of the GNU General Public License
# along with LTTng-UST. If not, see <http://www.gnu.org/licenses/>.
-if [ -n "$(which valgrind)" ]; then
+if ! which valgrind > /dev/null; then
echo "$0: Valgrind not found on the system." >/dev/stderr
exit 1;
fi
--
1.7.1
^ permalink raw reply [flat|nested] 2+ messages in thread* [ltt-dev] [UST PATCH] fix valgrind test valgrind check
2011-02-21 9:19 [ltt-dev] [UST PATCH] fix valgrind test valgrind check Nils Carlson
@ 2011-02-21 21:02 ` Yannick Brosseau
0 siblings, 0 replies; 2+ messages in thread
From: Yannick Brosseau @ 2011-02-21 21:02 UTC (permalink / raw)
Good catch... My fix was indeed flawed.
Acked-by: Yannick Brosseau <yannick.brosseau at gmail.com>
On 2011-02-21 04:19, Nils Carlson wrote:
> Signed-off-by: Nils Carlson <nils.carlson at ericsson.com>
> ---
> tests/valgrind_ust-consumerd.sh | 2 +-
> 1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
> index d89a1f2..1b10772 100755
> --- a/tests/valgrind_ust-consumerd.sh
> +++ b/tests/valgrind_ust-consumerd.sh
> @@ -17,7 +17,7 @@
> # You should have received a copy of the GNU General Public License
> # along with LTTng-UST. If not, see <http://www.gnu.org/licenses/>.
>
> -if [ -n "$(which valgrind)" ]; then
> +if ! which valgrind > /dev/null; then
> echo "$0: Valgrind not found on the system." >/dev/stderr
> exit 1;
> fi
>
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2011-02-21 21:02 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-02-21 9:19 [ltt-dev] [UST PATCH] fix valgrind test valgrind check Nils Carlson
2011-02-21 21:02 ` Yannick Brosseau
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox